From 86b52556ba11d8c1a0a9cb0fe05df1ed2e824cfb Mon Sep 17 00:00:00 2001
From: Kailang Yang <kailang@realtek.com>
Date: Wed, 5 Aug 2015 15:52:48 +0800
Subject: [PATCH] ALSA: hda/realtek - Add more quirk for Dell headset mode for
 ALC298

Add 0x17 0x90170110 and 0x90170150 for quirk.

commit 977e627684df0f60bdf2a768ec4772f42fe843fc

Signed-off-by: Kailang Yang <kailang@realtek.com>

diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index b20f104..6378ab5 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -5573,6 +5573,10 @@ static const struct snd_hda_pin_quirk alc269_pin_fixup_tbl[] = {
 		{0x12, 0x90a60130},
 		{0x17, 0x90170140},
 		{0x21, 0x03211020}),
+	SND_HDA_PIN_QUIRK(0x10ec0298, 0x1028, "Dell", ALC298_FIXUP_DELL1_MIC_NO_PRESENCE,
+		{0x17, 0x90170110}),
+	SND_HDA_PIN_QUIRK(0x10ec0298, 0x1028, "Dell", ALC298_FIXUP_DELL1_MIC_NO_PRESENCE,
+		{0x17, 0x90170150}),
 	{}
 };
 
